#!/usr/bin/python2.5
#
# Written by Philipp Kolmann <philipp@kolmann.at>
# $Id: sss.py 75 2007-09-19 19:31:44Z pkolmann $

import subprocess
import re
import sys

#Skype4Py
import Skype4Py

REV="$Rev: 75 $"

__version__ = "0.0.1"

blanked = False

skype = Skype4Py.Skype()
skype.FriendlyName = 'sssss'

# attach to Skype client
skype.Attach()

xss_start = re.compile("^(BLANK|RUN|LOCK)")
xss_end   = re.compile("^UNBLANK")

skype_status = False
running = False

try:
	xss = subprocess.Popen(["xscreensaver-command" ,"-watch"],
		stdout=subprocess.PIPE)

	while (1):
		line = xss.stdout.readline().strip()
		if not line:
			break

		# If not running, save state:
		if not running:
			skype_status = skype.CurrentUserStatus

		if (xss_start.match(line)):
			running = True
			skype.ChangeUserStatus(Skype4Py.cusAway)

		elif (xss_end.match(line)):
			running = False
			skype.ChangeUserStatus(skype_status)

		else:
			print "unknown line: %s" % line

except Exception, e:
	print "subprocess Error:", e 
	sys.exit(-1)

